---
- name: 'Install | Install or Update the APT Collector Dependency via APT'
  ansible.builtin.apt:
    name: '{{ apt_collector_package_name }}'
    state: '{{ apt_collector_state }}'
  when:
  - apt_collector_state != 'absent'

- name: 'Install | Create the APT Collector Conf Directory Structure'
  ansible.builtin.file:
    dest: '{{ item | mandatory }}'
    owner: 'root'
    group: 'root'
    mode: '0755'
    state: 'directory'
  loop:
  - '/etc/apt/apt.conf.d'
  - '/etc/apt/hook.d'
  - '/usr/local/libexec'
  when:
  - apt_collector_state != 'absent'

- name: 'Install | Install or Update the APT Collector Script via Ansible Copy'
  ansible.builtin.copy:
    dest: '/usr/local/libexec/export-apt.py'
    src: 'usr/local/libexec/export-apt.py'
    owner: 'root'
    group: 'root'
    mode: '0755'
    force: '{{ apt_collector_state == "latest" }}'
  when:
  - apt_collector_state != 'absent'
...
